r.circle(1)

NAME
r.circle - Creates a raster map containing concentric rings around a given point.

SYNOPSIS
r.circle
r.circle help
r.circle [-b] output=string coordinate=x,y [min=float] [max=float] [mult=float]

  Flags:

-b  Generate binary raster map

  Parameters:

output=string
    Name for new raster file

coordinate=x,y
    The coordinate of the center (east,north)

min=float
    minimum radius for ring/circle map (in meters)

max=float
    maximum radius for ring/circle map (in meters)

mult=float
    Multiplier

DESCRIPTION
This module creates a raster map containing concentric rings around a given point. The cell values are increasing linear from the center point to outer rings. Minimum and maximum radius can be selected. Optionally a "donut" ring can be created to use as (binary) filter for i.ifft inverse Fourier transform (apply filter with r.mask).

EXAMPLES
Generate a circle at current map center with a radius of 300m:
      EASTCENTER=`g.region -c | awk ' /region center easting:/ { print $4 }'`
      NORTHCENTER=`g.region -c | awk ' /region center northing:/ { print $4 }'`
      r.circle -b out=circle coordinate=$EASTCENTER,$NORTHCENTER max=300

SEE ALSO
g.remove, g.rename, i.fft, i.ifft, r.mask

AUTHOR
Bill Brown, U.S. Army Construction Engineering Research Laboratory
Additional flag/min/max parameter by Markus Neteler, University of Hannover

Last changed: $Date: 2003/05/06 12:50:53 $

Help Index